al_rotate_transform_3d(3)

NAME

al_rotate_transform_3d - Allegro 5 API

SYNOPSIS

    #include <allegro5/allegro.h>
    void al_rotate_transform_3d(ALLEGRO_TRANSFORM *trans,
       float x, float y, float z, float angle)

DESCRIPTION

Combines the given transformation with a transformation which rotates coordinates around the given vector by the given angle in radians.

Note: The vector is assumed to be of unit length (otherwise it will also incur a scale).

SINCE

5.1.3